asVector               package:splines               R Documentation

Coerce an Object to a Vector

Description:

     This is a generic function.  Methods for this function coerce
     objects of given classes to vectors.

Usage:

     asVector(object)

Arguments:

  object: An object.

Details:

     Methods for vector coercion in new classes must be created for the
     'asVector' generic instead of 'as.vector'.  The 'as.vector'
     function is internal and not easily extended. Currently the only
     class with an 'asVector' method is the 'xyVector' class.

Value:

     a vector

Author(s):

     Douglas Bates and Bill Venables

See Also:

     'xyVector'

Examples:

     data( women )
     ispl <- interpSpline( weight ~ height,  women )
     pred <- predict(ispl)
     class(pred)
     utils::str(pred)
     asVector(pred)

